import request from '@/assets/js/utils/request'
/* 重新招标api*/

//  根据id删除重新招标记录信息
export function deleteRebiddingRecordByRebiddingRecordId(rebiddingRecordId) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/rebiddingRecord/deleteRebiddingRecordByRebiddingRecordId?rebiddingRecordId=' + rebiddingRecordId,
    method: 'post'
  })
}
//  获取重新招标购标投标人家数列表
export function getRebiddingRecordBuyerNumberList(stageIds) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/rebiddingRecord/getRebiddingRecordBuyerNumberList?stageIds=' + stageIds,
    method: 'post'
  })
}

//  根据id获取重新招标记录信息
export function getRebiddingRecordInfoByRebiddingRecordId(rebiddingRecordId) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/rebiddingRecord/getRebiddingRecordInfoByRebiddingRecordId?rebiddingRecordId=' + rebiddingRecordId,
    method: 'post'
  })
}
// 获取重新招标记录列表
export function getRebiddingRecordList(data) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/rebiddingRecord/getRebiddingRecordList',
    method: 'post',
    data
  })
}
// 获取可重新招标的标段信息
export function getRebiddingRecordPackInfo(data) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/rebiddingRecord/getRebiddingRecordPackInfo',
    method: 'post',
    data
  })
}
// 保存/更新/提交重新招标记录
export function saveRebiddingRecord(data) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/rebiddingRecord/saveRebiddingRecord',
    method: 'post',
    data
  })
}

// 获取沿用招标人列表
export function getContinueToUseSupplier(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/docfee/supplierRegister/getContinueToUseSupplier',
    method: 'post',
    data
  })
}
/* 运维审批*/

//  审核重新招标
export function auditRebiddingRecord(data) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/rebiddingRecord/auditRebiddingRecord',
    method: 'post',
    data
  })
}
//  获取重新招标审核列表
export function getRebiddingRecordAuditList(data) {
  return request({
    url: '/bidprocurement/bidding-changebulletin/changebulletin/rebiddingRecord/getRebiddingRecordAuditList',
    method: 'post',
    data
  })
}
